# bsd.sanity.mk |    4 ++++
# 1 file changed, 4 insertions(+)
# svn status
M       Mk/bsd.sanity.mk

Index: Mk/bsd.sanity.mk
===================================================================
--- Mk/bsd.sanity.mk	(revision 383659)
+++ Mk/bsd.sanity.mk	(working copy)
@@ -15,9 +15,13 @@ WARNING+=	"WITH_NEW_XORG and WITHOUT_NEW
 WARNING+=	"WITH_KMS was removed and has no effect"
 .endif
 
+.if ${.CURDIR:M${PORTSDIR}*}
 .if ${.CURDIR:H:T} != ${PKGCATEGORY}
 DEV_ERROR+=	"The first entry in CATEGORIES should be the directory where the port lives"
 .endif
+.else
+WARNING+=	"Not validating first entry in CATEGORIES. Please ensure this is proper when committing."
+.endif
 
 #.if defined(WITHOUT_X11)
 #WARNING+=	"WITHOUT_X11 is deprecated use X11 option instead"
